%global srcname musicbrainzngs
%global sum MusicBrainz NGS Python bindings

%global python2_wheelname %{srcname}-%{version}-py2.py3-none-any.whl
%global python3_wheelname %python2_wheelname

Name:		python-%{srcname}
Version:	0.6
Release:	1%{?dist}
Summary:	%{sum}

# license clarification issue opened upstream
# https://github.com/takluyver/entrypoints/issues/10

License:	MIT

URL:		https://entrypoints.readthedocs.io/
Source0:	https://github.com/takluyver/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python3-devel

%description
%{sum}

%package -n python2-%{srcname}
Summary:	%{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{sum}

%package -n python3-%{srcname}
Summary:	%{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{sum}

%package -n python-%{srcname}-doc
Summary:	Documentation for python-entrypoints

%description -n python-%{srcname}-doc
Documentation files for python-entrypoints

%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build
%py3_build

pushd docs
make html PYTHON="%{__python3}" SPHINXBUILD=sphinx-build-%{python3_version}
rm _build/html/.buildinfo
popd


%install
%py3_install
%py2_install


%files -n python2-%{srcname}
%doc docs/_build/html
%doc README.rst CHANGES
%license COPYING
%{python2_sitelib}/*

%files -n python3-%{srcname}
%doc docs/_build/html
%doc README.rst CHANGES
%license COPYING
%{python3_sitelib}/*

%files -n python-%{srcname}-doc
%doc docs/_build/html
%doc README.rst CHANGES
%license COPYING

%changelog
